/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __INSTALLER_PLUGIN_COMMON_H__
#define __INSTALLER_PLUGIN_COMMON_H__

#include <functional>

typedef std::function<void (const char*)> after_create;
void create_ni_under_dirs(const char* root_paths[], int count, const char* ignores[], int igcount, after_create cb);
void create_ni_under_dirs(const char* root_paths[], int count, after_create cb);
void create_ni_under_dirs(const char* root_paths[], int count);
int create_ni_under_pkg_root(const char* pkg_name);
void create_ni_platform();
void create_ni_select(const char* dll_path);

#endif  // __INSTALLER_PLUGIN_COMMON_H__
